Next Previous Contents

## 6. Reference

## 6.1 Command line options

Running `mutt` with no arguments will make Mutt attempt to read your spool mailbox. However, it is possible to read other mailboxes and to send messages from the command line as well.

> `

>     -A      expand an alias
>     -a      attach a file to a message
>     -b      specify a blind carbon-copy (BCC) address
>     -c      specify a carbon-copy (Cc) address
>     -e      specify a config command to be run after initilization files are read
>     -f      specify a mailbox to load
>     -F      specify an alternate file to read initialization commands
>     -h      print help on command line options
>     -H      specify a draft file from which to read a header and body
>     -i      specify a file to include in a message composition
>     -m      specify a default mailbox type
>     -n      do not read the system Muttrc
>     -p      recall a postponed message
>     -Q      query a configuration variable
>     -R      open mailbox in read-only mode
>     -s      specify a subject (enclose in quotes if it contains spaces)
>     -v      show version number and compile-time definitions
>     -x      simulate the mailx(1) compose mode
>     -y      show a menu containing the files specified by the mailboxes command
>     -z      exit immediately if there are no messages in the mailbox
>     -Z      open the first folder with new message,exit immediately if none

> `

To read messages in a mailbox

`mutt` [ -nz ] [ -F muttrc ] [ -m type ] [ -f mailbox ]

To compose a new message

`mutt` [ -n ] [ -F muttrc ] [ -a file ] [ -c address ] [ -i filename ] [ -s subject ] address [ address ... ]

Mutt also supports a ``batch'' mode to send prepared messages. Simply redirect input from the file you wish to send. For example,

`mutt -s "data set for run #2" professor@bigschool.edu < ~/run2.dat`

This command will send a message to ``professor@bigschool.edu'' with a subject of ``data set for run #2''. In the body of the message will be the contents of the file ``~/run2.dat''.

## 6.2 Configuration Commands

The following are the commands understood by mutt.

- `account-hook` pattern command
- `alias` key address [ , address, ... ]
- `unalias` [ * | key ... ]
- `alternative_order` mimetype [ mimetype ... ]
- `unalternative_order` mimetype [ mimetype ... ]
- `auto_view` mimetype [ mimetype ... ]
- `unauto_view` mimetype [ mimetype ... ]
- `bind` map key function
- `charset-hook` alias charset
- `color` object foreground background [ regexp ]
- `uncolor` index pattern [ pattern ... ]
- `exec` function [ function ... ]
- `fcc-hook` pattern mailbox
- `fcc-save-hook` pattern mailbox
- `folder-hook` pattern command
- `hdr_order` header [ header ... ]
- `unhdr_order` header [ header ... ]
- `iconv-hook` charset local-charset
- `ignore` pattern [ pattern ... ]
- `unignore` pattern [ pattern ... ]
- `lists` address [ address ... ]
- `unlists` address [ address ... ]
- `macro` menu key sequence [ description ]
- `mailboxes` filename [ filename ... ]
- `mbox-hook` pattern mailbox
- `message-hook` pattern command
- `mime_lookup` mimetype [ mimetype ... ]
- `unmime_lookup` mimetype [ mimetype ... ]
- `mono` object attribute [ regexp ]
- `unmono` index pattern [ pattern ... ]
- `my_hdr` string
- `unmy_hdr` field [ field ... ]
- `crypt-hook` pattern key-id
- `push` string
- `reset` variable [variable ... ]
- `save-hook` regexp filename
- `score` pattern value
- `unscore` pattern [ pattern ... ]
- `send-hook` regexp command
- `set` [no|inv]variable[=value] [ variable ... ]
- `unset` variable [variable ... ]
- `source` filename
- `subscribe` address [ address ... ]
- `unsubscribe` address [ address ... ]
- `toggle` variable [variable ... ]
- `unhook` hook-type

## 6.3 Configuration variables

### abort_nosubject

Type: quadoption
Default: ask-yes

If set to yes, when composing messages and no subject is given at the subject prompt, composition will be aborted. If set to no, composing messages with no subject given at the subject prompt will never be aborted.

### abort_unmodified

Type: quadoption
Default: yes

If set to yes, composition will automatically abort after editing the message body if no changes are made to the file (this check only happens after the first edit of the file). When set to no, composition will never be aborted.

### alias_file

Type: path
Default: "~/.muttrc"

The default file in which to save aliases created by the `` create-alias'' function.

Note: Mutt will not automatically source this file; you must explicitly use the `` source'' command for it to be executed.

### alias_format

Type: string
Default: "%4n %2f %t %-10a %r"

Specifies the format of the data displayed for the `alias' menu. The following printf(3)-style sequences are available:

%a

  alias name

%f

  flags - currently, a "d" for an alias marked for deletion

%n

  index number

%r

  address which alias expands to

%t

  character which indicates if the alias is tagged for inclusion

### allow_8bit

Type: boolean
Default: yes

Controls whether 8-bit data is converted to 7-bit using either Quoted- Printable or Base64 encoding when sending mail.

### allow_ansi

Type: boolean
Default: no

Controls whether ANSI color codes in messages (and color tags in rich text messages) are to be interpreted. Messages containing these codes are rare, but if this option is set, their text will be colored accordingly. Note that this may override your color choices, and even present a security problem, since a message could include a line like "[-- PGP output follows ..." and give it the same color as your attachment color.

### alternates

Type: regular expression
Default: ""

A regexp that allows you to specify alternate addresses where you receive mail. This affects Mutt's idea about messages from you and addressed to you.

### arrow_cursor

Type: boolean
Default: no

When set, an arrow (``->'') will be used to indicate the current entry in menus instead of highlighting the whole line. On slow network or modem links this will make response faster because there is less that has to be redrawn on the screen when moving to the next or previous entries in the menu.

### ascii_chars

Type: boolean
Default: no

If set, Mutt will use plain ASCII characters when displaying thread and attachment trees, instead of the default ACS characters.

### askbcc

Type: boolean
Default: no

If set, Mutt will prompt you for blind-carbon-copy (Bcc) recipients before editing an outgoing message.

### askcc

Type: boolean
Default: no

If set, Mutt will prompt you for carbon-copy (Cc) recipients before editing the body of an outgoing message.

### attach_format

Type: string
Default: "%u%D%I %t%4n %T%.40d%> [%.7m/%.10M, %.6e%?C?, %C?, %s] "

This variable describes the format of the `attachment' menu. The following printf-style sequences are understood:

%C

  charset

%c

  reqiures charset conversion (n or c)

%D

  deleted flag

%d

  description

%e

  MIME content-transfer-encoding

%f

  filename

%I

  disposition (I=inline, A=attachment)

%m

  major MIME type

%M

  MIME subtype

%n

  attachment number

%s

  size

%t

  tagged flag

%T

  graphic tree characters

%u

  unlink (=to delete) flag

%>X

  right justify the rest of the string and pad with character "X"

%|X

  pad to the end of the line with character "X"

### attach_sep

Type: string
Default: "\n"

The separator to add between attachments when operating (saving, printing, piping, etc) on a list of tagged attachments.

### attach_split

Type: boolean
Default: yes

If this variable is unset, when operating (saving, printing, piping, etc) on a list of tagged attachments, Mutt will concatenate the attachments and will operate on them as a single attachment. The `` $attach_sep'' separator is added after each attachment. When set, Mutt will operate on the attachments one by one.

### attribution

Type: string
Default: "On %d, %n wrote:"

This is the string that will precede a message which has been included in a reply. For a full listing of defined printf()-like sequences see the section on `` $index_format''.

### autoedit

Type: boolean
Default: no

When set along with `` $edit_headers'', Mutt will skip the initial send-menu and allow you to immediately begin editing the body of your message. The send-menu may still be accessed once you have finished editing the body of your message.

Also see `` $fast_reply''.

### auto_tag

Type: boolean
Default: no

When set, functions in the index menu which affect a message will be applied to all tagged messages (if there are any). When unset, you must first use the tag-prefix function (default: ";") to make the next function apply to all tagged messages.

### beep

Type: boolean
Default: yes

When this variable is set, mutt will beep when an error occurs.

### beep_new

Type: boolean
Default: no

When this variable is set, mutt will beep whenever it prints a message notifying you of new mail. This is independent of the setting of the `` $beep'' variable.

### bounce

Type: quadoption
Default: ask-yes

Controls whether you will be asked to confirm bouncing messages. If set to yes you don't get asked if you want to bounce a message. Setting this variable to no is not generally useful, and thus not recommended, because you are unable to bounce messages.

### bounce_delivered

Type: boolean
Default: yes

When this variable is set, mutt will include Delivered-To headers when bouncing messages. Postfix users may wish to unset this variable.

### charset

Type: string
Default: ""

Character set your terminal uses to display and enter textual data.

### check_new

Type: boolean
Default: yes

Note: this option only affects maildir and MH style mailboxes.

When set, Mutt will check for new mail delivered while the mailbox is open. Especially with MH mailboxes, this operation can take quite some time since it involves scanning the directory and checking each file to see if it has already been looked at. If check_new is unset, no check for new mail is performed while the mailbox is open.

### collapse_unread

Type: boolean
Default: yes

When unset, Mutt will not collapse a thread if it contains any unread messages.

### uncollapse_jump

Type: boolean
Default: no

When set, Mutt will jump to the next unread message, if any, when the current thread is uncollapsed.

### compose_format

Type: string
Default: "-- Mutt: Compose [Approx. msg size: %l Atts: %a]%>-"

Controls the format of the status line displayed in the \fCompose menu. This string is similar to `` $status_format'', but has its own set of printf()-like sequences:

%a

  total number of attachments

%h

  local hostname

%l

  approximate size (in bytes) of the current message

%v

  Mutt version string

See the text describing the `` $status_format'' option for more information on how to set `` $compose_format''.

### confirmappend

Type: boolean
Default: yes

When set, Mutt will prompt for confirmation when appending messages to an existing mailbox.

### confirmcreate

Type: boolean
Default: yes

When set, Mutt will prompt for confirmation when saving messages to a mailbox which does not yet exist before creating it.

### connect_timeout

Type: number
Default: 30

Causes Mutt to timeout a network connection (for IMAP or POP) after this many seconds if the connection is not able to be established. A negative value causes Mutt to wait indefinitely for the connection to succeed.

### content_type

Type: string
Default: "text/plain"

Sets the default Content-Type for the body of newly composed messages.

### copy

Type: quadoption
Default: yes

This variable controls whether or not copies of your outgoing messages will be saved for later references. Also see `` $record'', `` $save_name'', `` $force_name'' and `` fcc-hook''.

### crypt_autopgp

Type: boolean
Default: yes

This variable controls whether or not mutt may automatically enable PGP encryption/signing for messages. See also `` $crypt_autoencrypt'', `` $crypt_replyencrypt'', `` $crypt_autosign'', `` $crypt_replysign'' and `` $smime_is_default''.

### crypt_autosmime

Type: boolean
Default: yes

This variable controls whether or not mutt may automatically enable S/MIME encryption/signing for messages. See also `` $crypt_autoencrypt'', `` $crypt_replyencrypt'', `` $crypt_autosign'', `` $crypt_replysign'' and `` $smime_is_default''.

### date_format

Type: string
Default: "!%a, %b %d, %Y at %I:%M:%S%p %Z"

This variable controls the format of the date printed by the ``%d'' sequence in `` $index_format''. This is passed to the strftime call to process the date. See the man page for strftime(3) for the proper syntax.

Unless the first character in the string is a bang (``!''), the month and week day names are expanded according to the locale specified in the variable `` $locale''. If the first character in the string is a bang, the bang is discarded, and the month and week day names in the rest of the string are expanded in the C locale (that is in US English).

### default_hook

Type: string
Default: "~f %s !~P | (~P ~C %s)"

This variable controls how send-hooks, message-hooks, save-hooks, and fcc-hooks will be interpreted if they are specified with only a simple regexp, instead of a matching pattern. The hooks are expanded when they are declared, so a hook will be interpreted according to the value of this variable at the time the hook is declared. The default value matches if the message is either from a user matching the regular expression given, or if it is from you (if the from address matches `` $alternates'') and is to or cc'ed to a user matching the given regular expression.

### delete

Type: quadoption
Default: ask-yes

Controls whether or not messages are really deleted when closing or synchronizing a mailbox. If set to yes, messages marked for deleting will automatically be purged without prompting. If set to no, messages marked for deletion will be kept in the mailbox.

### delete_untag

Type: boolean
Default: yes

If this option is set, mutt will untag messages when marking them for deletion. This applies when you either explicitly delete a message, or when you save it to another folder.

### digest_collapse

Type: boolean
Default: yes

If this option is set, mutt's revattach menu will not show the subparts of individual messages in a digest. To see these subparts, press 'v' on that menu.

### display_filter

Type: path
Default: ""

When set, specifies a command used to filter messages. When a message is viewed it is passed as standard input to $display_filter, and the filtered message is read from the standard output.

### dotlock_program

Type: path
Default: "/usr/local/bin/mutt_dotlock"

Contains the path of the mutt_dotlock (8) binary to be used by mutt.

### dsn_notify

Type: string
Default: ""

Note: you should not enable this unless you are using Sendmail 8.8.x or greater.

This variable sets the request for when notification is returned. The string consists of a comma separated list (no spaces!) of one or more of the following: never, to never request notification, failure, to request notification on transmission failure, delay, to be notified of message delays, success, to be notified of successful transmission.

Example: set dsn_notify="failure,delay"

### dsn_return

Type: string
Default: ""

Note: you should not enable this unless you are using Sendmail 8.8.x or greater.

This variable controls how much of your message is returned in DSN messages. It may be set to either hdrs to return just the message header, or full to return the full message.

Example: set dsn_return=hdrs

### duplicate_threads

Type: boolean
Default: yes

This variable controls whether mutt, when sorting by threads, threads messages with the same message-id together. If it is set, it will indicate that it thinks they are duplicates of each other with an equals sign in the thread diagram.

### edit_headers

Type: boolean
Default: no

This option allows you to edit the header of your outgoing messages along with the body of your message.

### editor

Type: path
Default: ""

This variable specifies which editor is used by mutt. It defaults to the value of the VISUAL, or EDITOR, environment variable, or to the string "vi" if neither of those are set.

### encode_from

Type: boolean
Default: no

When set, mutt will quoted-printable encode messages when they contain the string "From " in the beginning of a line. Useful to avoid the tampering certain mail delivery and transport agents tend to do with messages.

### envelope_from

Type: boolean
Default: no

When set, mutt will try to derive the message's envelope sender from the "From:" header. Note that this information is passed to sendmail command using the "-f" command line switch, so don't set this option if you are using that switch in $sendmail yourself, or if the sendmail on your machine doesn't support that command line switch.

### escape

Type: string
Default: "~"

Escape character to use for functions in the builtin editor.

### fast_reply

Type: boolean
Default: no

When set, the initial prompt for recipients and subject are skipped when replying to messages, and the initial prompt for subject is skipped when forwarding messages.

Note: this variable has no effect when the `` $autoedit'' variable is set.

### fcc_attach

Type: boolean
Default: yes

This variable controls whether or not attachments on outgoing messages are saved along with the main body of your message.

### fcc_clear

Type: boolean
Default: no

When this variable is set, FCCs will be stored unencrypted and unsigned, even when the actual message is encrypted and/or signed. (PGP only)

### folder

Type: path
Default: "~/Mail"

Specifies the default location of your mailboxes. A `+' or `=' at the beginning of a pathname will be expanded to the value of this variable. Note that if you change this variable from the default value you need to make sure that the assignment occurs before you use `+' or `=' for any other variables since expansion takes place during the `set' command.

### folder_format

Type: string
Default: "%2C %t %N %F %2l %-8.8u %-8.8g %8s %d %f"

This variable allows you to customize the file browser display to your personal taste. This string is similar to `` $index_format'', but has its own set of printf()-like sequences:

%C

  current file number

%d

  date/time folder was last modified

%f

  filename

%F

  file permissions

%g

  group name (or numeric gid, if missing)

%l

  number of hard links

%N

  N if folder has new mail, blank otherwise

%s

  size in bytes

%t

  * if the file is tagged, blank otherwise

%u

  owner name (or numeric uid, if missing)

%>X

  right justify the rest of the string and pad with character "X"

%|X

  pad to the end of the line with character "X"

### followup_to

Type: boolean
Default: yes

Controls whether or not the Mail-Followup-To header field is generated when sending mail. When set, Mutt will generate this field when you are replying to a known mailing list, specified with the ``subscribe'' or `` lists'' commands.

This field has two purposes. First, preventing you from receiving duplicate copies of replies to messages which you send to mailing lists, and second, ensuring that you do get a reply separately for any messages sent to known lists to which you are not subscribed. The header will contain only the list's address for subscribed lists, and both the list address and your own email address for unsubscribed lists. Without this header, a group reply to your message sent to a subscribed list will be sent to both the list and your address, resulting in two copies of the same email for you.

### force_name

Type: boolean
Default: no

This variable is similar to `` $save_name'', except that Mutt will store a copy of your outgoing message by the username of the address you are sending to even if that mailbox does not exist.

Also see the `` $record'' variable.

### forward_decode

Type: boolean
Default: yes

Controls the decoding of complex MIME messages into text/plain when forwarding a message. The message header is also RFC2047 decoded. This variable is only used, if `` $mime_forward'' is unset, otherwise `` $mime_forward_decode'' is used instead.

### forward_edit

Type: quadoption
Default: yes

This quadoption controls whether or not the user is automatically placed in the editor when forwarding messages. For those who always want to forward with no modification, use a setting of ``no''.

### forward_format

Type: string
Default: "[%a: %s]"

This variable controls the default subject when forwarding a message. It uses the same format sequences as the `` $index_format'' variable.

### forward_quote

Type: boolean
Default: no

When set forwarded messages included in the main body of the message (when `` $mime_forward'' is unset) will be quoted using `` $indent_string''.

### from

Type: e-mail address
Default: ""

When set, this variable contains a default from address. It can be overridden using my_hdr (including from send-hooks) and `` $reverse_name''.

Defaults to the contents of the environment variable EMAIL.

### gecos_mask

Type: regular expression
Default: "^[^,]*"

A regular expression used by mutt to parse the GECOS field of a password entry when expanding the alias. By default the regular expression is set to "^[^,]*" which will return the string up to the first "," encountered. If the GECOS field contains a string like "lastname, firstname" then you should set the gecos_mask=".*".

This can be useful if you see the following behavior: you address a e-mail to user ID stevef whose full name is Steve Franklin. If mutt expands stevef to "Franklin" stevef@foo.bar then you should set the gecos_mask to a regular expression that will match the whole name so mutt will expand "Franklin" to "Franklin, Steve".

### hdrs

Type: boolean
Default: yes

When unset, the header fields normally added by the `` my_hdr'' command are not created. This variable must be unset before composing a new message or replying in order to take effect. If set, the user defined header fields are added to every new message.

### header

Type: boolean
Default: no

When set, this variable causes Mutt to include the header of the message you are replying to into the edit buffer. The `` $weed'' setting applies.

### help

Type: boolean
Default: yes

When set, help lines describing the bindings for the major functions provided by each menu are displayed on the first line of the screen.

Note: The binding will not be displayed correctly if the function is bound to a sequence rather than a single keystroke. Also, the help line may not be updated if a binding is changed while Mutt is running. Since this variable is primarily aimed at new users, neither of these should present a major problem.

### hidden_host

Type: boolean
Default: no

When set, mutt will skip the host name part of `` $hostname'' variable when adding the domain part to addresses. This variable does not affect the generation of Message-IDs, and it will not lead to the cut-off of first-level domains.

### hide_limited

Type: boolean
Default: no

When set, mutt will not show the presence of missing messages in the thread tree.

### hide_missing

Type: boolean
Default: yes

When set, mutt will not show the presence of messages that are hidden by limiting, in the thread tree.

### hide_top_limited

Type: boolean
Default: no

When set, mutt will not show the presence of missing messages at the top of threads in the thread tree. Note that when $hide_limited is set, this option will have no effect.

### hide_top_missing

Type: boolean
Default: yes

When set, mutt will not show the presence of messages that are hidden by limiting, at the top of threads in the thread tree.Note that when $hide_missing is set, this option will have no effect.

### history

Type: number
Default: 10

This variable controls the size (in number of strings remembered) of the string history buffer. The buffer is cleared each time the variable is set.

### honor_followup_to

Type: quadoption
Default: yes

This variable controls whether or not a Mail-Followup-To header is honored when group-replying to a message.

### hostname

Type: string
Default: ""

Specifies the hostname to use after the ``@'' in local e-mail addresses. This overrides the compile time definition obtained from /etc/resolv.conf.

### ignore_list_reply_to

Type: boolean
Default: no

Affects the behaviour of the reply function when replying to messages from mailing lists. When set, if the ``Reply-To:'' field is set to the same value as the ``To:'' field, Mutt assumes that the ``Reply-To:'' field was set by the mailing list to automate responses to the list, and will ignore this field. To direct a response to the mailing list when this option is set, use the list-reply function; group-reply will reply to both the sender and the list.

### imap_authenticators

Type: string
Default: ""

This is a colon-delimited list of authentication methods mutt may attempt to use to log in to an IMAP server, in the order mutt should try them. Authentication methods are either 'login' or the right side of an IMAP 'AUTH=xxx' capability string, eg 'digest-md5', 'gssapi' or 'cram-md5'. This parameter is case-insensitive. If this parameter is unset (the default) mutt will try all available methods, in order from most-secure to least-secure.

Example: set imap_authenticators="gssapi:cram-md5:login"

Note: Mutt will only fall back to other authentication methods if the previous methods are unavailable. If a method is available but authentication fails, mutt will not connect to the IMAP server.

### imap_delim_chars

Type: string
Default: "/."

This contains the list of characters which you would like to treat as folder separators for displaying IMAP paths. In particular it helps in using the '=' shortcut for your folder variable.

### imap_force_ssl

Type: boolean
Default: no

If this variable is set, Mutt will always use SSL when connecting to IMAP servers.

### imap_home_namespace

Type: string
Default: ""

You normally want to see your personal folders alongside your INBOX in the IMAP browser. If you see something else, you may set this variable to the IMAP path to your folders.

### imap_keepalive

Type: number
Default: 900

This variable specifies the maximum amount of time in seconds that mutt will wait before polling open IMAP connections, to prevent the server from closing them before mutt has finished with them. The default is well within the RFC-specified minimum amount of time (30 minutes) before a server is allowed to do this, but in practice the RFC does get violated every now and then. Reduce this number if you find yourself getting disconnected from your IMAP server due to inactivity.

### imap_list_subscribed

Type: boolean
Default: no

This variable configures whether IMAP folder browsing will look for only subscribed folders or all folders. This can be toggled in the IMAP browser with the toggle-subscribed function.

### imap_pass

Type: string
Default: ""

Specifies the password for your IMAP account. If unset, Mutt will prompt you for your password when you invoke the fetch-mail function. Warning: you should only use this option when you are on a fairly secure machine, because the superuser can read your muttrc even if you are the only one who can read the file.

### imap_passive

Type: boolean
Default: yes

When set, mutt will not open new IMAP connections to check for new mail. Mutt will only check for new mail over existing IMAP connections. This is useful if you don't want to be prompted to user/password pairs on mutt invocation, or if opening the connection is slow.

### imap_peek

Type: boolean
Default: yes

If set, mutt will avoid implicitly marking your mail as read whenever you fetch a message from the server. This is generally a good thing, but can make closing an IMAP folder somewhat slower. This option exists to appease speed freaks.

### imap_servernoise

Type: boolean
Default: yes

When set, mutt will display warning messages from the IMAP server as error messages. Since these messages are often harmless, or generated due to configuration problems on the server which are out of the users' hands, you may wish to suppress them at some point.

### imap_user

Type: string
Default: ""

Your login name on the IMAP server.

This variable defaults to your user name on the local machine.

### implicit_autoview

Type: boolean
Default: no

If set to ``yes'', mutt will look for a mailcap entry with the copiousoutput flag set for every MIME attachment it doesn't have an internal viewer defined for. If such an entry is found, mutt will use the viewer defined in that entry to convert the body part to text form.

### include

Type: quadoption
Default: ask-yes

Controls whether or not a copy of the message(s) you are replying to is included in your reply.

### indent_string

Type: string
Default: "> "

Specifies the string to prepend to each line of text quoted in a message to which you are replying. You are strongly encouraged not to change this value, as it tends to agitate the more fanatical netizens.

### index_format

Type: string
Default: "%4C %Z %{%b %d} %-15.15L (%?l?%4l&%4c?) %s"

This variable allows you to customize the message index display to your personal taste.

``Format strings'' are similar to the strings used in the ``C'' function printf to format output (see the man page for more detail). The following sequences are defined in Mutt:

%a

  address of the author

%A

  reply-to address (if present; otherwise: address of author)

%b

  filename of the original message folder (think mailBox)

%B

  the list to which the letter was sent, or else the folder name (%b).

%c

  number of characters (bytes) in the message

%C

  current message number

%d

  date and time of the message in the format specified by ``date_format'' converted to sender's time zone

%D

  date and time of the message in the format specified by ``date_format'' converted to the local time zone

%e

  current message number in thread

%E

  number of messages in current thread

%f

  entire From: line (address + real name)

%F

  author name, or recipient name if the message is from you

%i

  message-id of the current message

%l

  number of lines in the message (does not work with maildir, mh, and possibly IMAP folders)

%L

  If an address in the To or CC header field matches an address defined by the users ``subscribe'' command, this displays "To <list-name>", otherwise the same as %F.

%m

  total number of message in the mailbox

%M

  number of hidden messages if the thread is collapsed.

%N

  message score

%n

  author's real name (or address if missing)

%O

  (_O_riginal save folder) Where mutt would formerly have stashed the message: list name or recipient name if no list

%s

  subject of the message

%S

  status of the message (N/D/d/!/r/*)

%t

  `to:' field (recipients)

%T

  the appropriate character from the $to_chars string

%u

  user (login) name of the author

%v

  first name of the author, or the recipient if the message is from you

%y

  `x-label:' field, if present

%Y

  `x-label' field, if present, and (1) not at part of a thread tree, (2) at the top of a thread, or (3) `x-label' is different from preceding message's `x-label'.

%Z

  message status flags

%{fmt}

  the date and time of the message is converted to sender's time zone, and ``fmt'' is expanded by the library function ``strftime''; a leading bang disables locales

%[fmt]

  the date and time of the message is converted to the local time zone, and ``fmt'' is expanded by the library function ``strftime''; a leading bang disables locales

%(fmt)

  the local date and time when the message was received. ``fmt'' is expanded by the library function ``strftime''; a leading bang disables locales

%<fmt>

  the current local time. ``fmt'' is expanded by the library function ``strftime''; a leading bang disables locales.

%>X

  right justify the rest of the string and pad with character "X"

%|X

  pad to the end of the line with character "X"

See also: `` $to_chars''.

### ispell

Type: path
Default: "/usr/bin/ispell"

How to invoke ispell (GNU's spell-checking software).

### keep_flagged

Type: boolean
Default: no

If set, read messages marked as flagged will not be moved from your spool mailbox to your `` $mbox'' mailbox, or as a result of a `` mbox-hook'' command.

### locale

Type: string
Default: "C"

The locale used by strftime(3) to format dates. Legal values are the strings your system accepts for the locale variable LC_TIME.

### mail_check

Type: number
Default: 5

This variable configures how often (in seconds) mutt should look for new mail.

### mailcap_path

Type: string
Default: ""

This variable specifies which files to consult when attempting to display MIME bodies not directly supported by Mutt.

### mailcap_sanitize

Type: boolean
Default: yes

If set, mutt will restrict possible characters in mailcap % expandos to a well-defined set of safe characters. This is the safe setting, but we are not sure it doesn't break some more advanced MIME stuff.

DON'T CHANGE THIS SETTING UNLESS YOU ARE REALLY SURE WHAT YOU ARE DOING!

### maildir_trash

Type: boolean
Default: no

If set, messages marked as deleted will be saved with the maildir (T)rashed flag instead of unlinked. NOTE: this only applies to maildir-style mailboxes. Setting it will have no effect on other mailbox types.

### mark_old

Type: boolean
Default: yes

Controls whether or not mutt marks new unread messages as old if you exit a mailbox without reading them. With this option set, the next time you start mutt, the messages will show up with an "O" next to them in the index menu, indicating that they are old.

### markers

Type: boolean
Default: yes

Controls the display of wrapped lines in the internal pager. If set, a ``+'' marker is displayed at the beginning of wrapped lines. Also see the `` $smart_wrap'' variable.

### mask

Type: regular expression
Default: "!^\.[^.]"

A regular expression used in the file browser, optionally preceded by the not operator ``!''. Only files whose names match this mask will be shown. The match is always case-sensitive.

### mbox

Type: path
Default: "~/mbox"

This specifies the folder into which read mail in your `` $spoolfile'' folder will be appended.

### mbox_type

Type: folder magic
Default: mbox

The default mailbox type used when creating new folders. May be any of mbox, MMDF, MH and Maildir.

### metoo

Type: boolean
Default: no

If unset, Mutt will remove your address (see the `` $alternates'' variable) from the list of recipients when replying to a message.

### menu_scroll

Type: boolean
Default: no

When set, menus will be scrolled up or down one line when you attempt to move across a screen boundary. If unset, the screen is cleared and the next or previous page of the menu is displayed (useful for slow links to avoid many redraws).

### meta_key

Type: boolean
Default: no

If set, forces Mutt to interpret keystrokes with the high bit (bit 8) set as if the user had pressed the ESC key and whatever key remains after having the high bit removed. For example, if the key pressed has an ASCII value of 0xf4, then this is treated as if the user had pressed ESC then ``x''. This is because the result of removing the high bit from ``0xf4'' is ``0x74'', which is the ASCII character ``x''.

### mh_purge

Type: boolean
Default: no

When unset, mutt will mimic mh's behaviour and rename deleted messages to ,<old file name> in mh folders instead of really deleting them. If the variable is set, the message files will simply be deleted.

### mh_seq_flagged

Type: string
Default: "flagged"

The name of the MH sequence used for flagged messages.

### mh_seq_replied

Type: string
Default: "replied"

The name of the MH sequence used to tag replied messages.

### mh_seq_unseen

Type: string
Default: "unseen"

The name of the MH sequence used for unseen messages.

### mime_forward

Type: quadoption
Default: no

When set, the message you are forwarding will be attached as a separate MIME part instead of included in the main body of the message. This is useful for forwarding MIME messages so the receiver can properly view the message as it was delivered to you. If you like to switch between MIME and not MIME from mail to mail, set this variable to ask-no or ask-yes.

Also see `` $forward_decode'' and `` $mime_forward_decode''.

### mime_forward_decode

Type: boolean
Default: no

Controls the decoding of complex MIME messages into text/plain when forwarding a message while `` $mime_forward'' is set. Otherwise `` $forward_decode'' is used instead.

### mime_forward_rest

Type: quadoption
Default: yes

When forwarding multiple attachments of a MIME message from the recvattach menu, attachments which cannot be decoded in a reasonable manner will be attached to the newly composed message if this option is set.

### mix_entry_format

Type: string
Default: "%4n %c %-16s %a"

This variable describes the format of a remailer line on the mixmaster chain selection screen. The following printf-like sequences are supported:

%n

  The running number on the menu.

%c

  Remailer capabilities.

%s

  The remailer's short name.

%a

  The remailer's e-mail address.

### mixmaster

Type: path
Default: "mixmaster"

This variable contains the path to the Mixmaster binary on your system. It is used with various sets of parameters to gather the list of known remailers, and to finally send a message through the mixmaster chain.

### move

Type: quadoption
Default: ask-no

Controls whether you will be asked to confirm moving read messages from your spool mailbox to your `` $mbox'' mailbox, or as a result of a `` mbox-hook'' command.

### message_format

Type: string
Default: "%s"

This is the string displayed in the ``attachment'' menu for attachments of type message/rfc822. For a full listing of defined printf()-like sequences see the section on `` $index_format''.

### narrow_tree

Type: boolean
Default: no

This variable, when set, makes the thread tree narrower, allowing deeper threads to fit on the screen.

### pager

Type: path
Default: "builtin"

This variable specifies which pager you would like to use to view messages. builtin means to use the builtin pager, otherwise this variable should specify the pathname of the external pager you would like to use.

Using an external pager may have some disadvantages: Additional keystrokes are necessary because you can't call mutt functions directly from the pager, and screen resizes cause lines longer than the screen width to be badly formatted in the help menu.

### pager_context

Type: number
Default: 0

This variable controls the number of lines of context that are given when displaying the next or previous page in the internal pager. By default, Mutt will display the line after the last one on the screen at the top of the next page (0 lines of context).

### pager_format

Type: string
Default: "-%Z- %C/%m: %-20.20n %s"

This variable controls the format of the one-line message ``status'' displayed before each message in either the internal or an external pager. The valid sequences are listed in the `` $index_format'' section.

### pager_index_lines

Type: number
Default: 0

Determines the number of lines of a mini-index which is shown when in the pager. The current message, unless near the top or bottom of the folder, will be roughly one third of the way down this mini-index, giving the reader the context of a few messages before and after the message. This is useful, for example, to determine how many messages remain to be read in the current thread. One of the lines is reserved for the status bar from the index, so a pager_index_lines of 6 will only show 5 lines of the actual index. A value of 0 results in no index being shown. If the number of messages in the current folder is less than pager_index_lines, then the index will only use as many lines as it needs.

### pager_stop

Type: boolean
Default: no

When set, the internal-pager will not move to the next message when you are at the end of a message and invoke the next-page function.

### crypt_autosign

Type: boolean
Default: no

Setting this variable will cause Mutt to always attempt to cryptographically sign outgoing messages. This can be overridden by use of the pgp-menu, when signing is not required or encryption is requested as well. If `` $smime_is_default'' is set, then OpenSSL is used instead to create S/MIME messages and settings can be overridden by use of the smime-menu. (Crypto only)

### crypt_autoencrypt

Type: boolean
Default: no

Setting this variable will cause Mutt to always attempt to PGP encrypt outgoing messages. This is probably only useful in connection to the send-hook command. It can be overridden by use of the pgp-menu, when encryption is not required or signing is requested as well. IF `` $smime_is_default'' is set, then OpenSSL is used instead to create S/MIME messages and settings can be overridden by use of the smime-menu. (Crypto only)

### pgp_ignore_subkeys

Type: boolean
Default: yes

Setting this variable will cause Mutt to ignore OpenPGP subkeys. Instead, the principal key will inherit the subkeys' capabilities. Unset this if you want to play interesting key selection games. (PGP only)

### crypt_replyencrypt

Type: boolean
Default: yes

If set, automatically PGP or OpenSSL encrypt replies to messages which are encrypted. (Crypto only)

### crypt_replysign

Type: boolean
Default: no

If set, automatically PGP or OpenSSL sign replies to messages which are signed.

Note: this does not work on messages that are encrypted and signed! (Crypto only)

### crypt_replysignencrypted

Type: boolean
Default: no

If set, automatically PGP or OpenSSL sign replies to messages which are encrypted. This makes sense in combination with `` $crypt_replyencrypt'', because it allows you to sign all messages which are automatically encrypted. This works around the problem noted in `` $crypt_replysign'', that mutt is not able to find out whether an encrypted message is also signed. (Crypto only)

### crypt_timestamp

Type: boolean
Default: yes

If set, mutt will include a time stamp in the lines surrounding PGP or S/MIME output, so spoofing such lines is more difficult. If you are using colors to mark these lines, and rely on these, you may unset this setting. (Crypto only)

### pgp_use_gpg_agent

Type: boolean
Default: no

If set, mutt will use a possibly-running gpg-agent process. (PGP only)

### crypt_verify_sig

Type: quadoption
Default: yes

If ``yes'', always attempt to verify PGP or S/MIME signatures. If ``ask'', ask whether or not to verify the signature. If ``no'', never attempt to verify cryptographic signatures. (Crypto only)

### smime_is_default

Type: boolean
Default: no

The default behaviour of mutt is to use PGP on all auto-sign/encryption operations. To override and to use OpenSSL instead this must be set. However, this has no effect while replying, since mutt will automatically select the same application that was used to sign/encrypt the original message. (Note that this variable can be overridden by unsetting $crypt_autosmime.) (S/MIME only)

### smime_ask_cert_label

Type: boolean
Default: yes

This flag controls whether you want to be asked to enter a label for a certificate about to be added to the database or not. It is set by default. (S/MIME only)

### smime_decrypt_use_default_key

Type: boolean
Default: yes

If set (default) this tells mutt to use the default key for decryption. Otherwise, if manage multiple certificate-key-pairs, mutt will try to use the mailbox-address to determine the key to use. It will ask you to supply a key, if it can't find one. (S/MIME only)

### pgp_entry_format

Type: string
Default: "%4n %t%f %4l/0x%k %-4a %2c %u"

This variable allows you to customize the PGP key selection menu to your personal taste. This string is similar to `` $index_format'', but has its own set of printf()-like sequences:

%n

  number

%k

  key id

%u

  user id

%a

  algorithm

%l

  key length

%f

  flags

%c

  capabilities

%t

  trust/validity of the key-uid association

%[<s>]

  date of the key where <s> is an strftime(3) expression

(PGP only)

### pgp_good_sign

Type: regular expression
Default: ""

If you assign a text to this variable, then a PGP signature is only considered verified if the output from $pgp_verify_command contains the text. Use this variable if the exit code from the command is 0 even for bad signatures. (PGP only)

### pgp_check_exit

Type: boolean
Default: yes

If set, mutt will check the exit code of the PGP subprocess when signing or encrypting. A non-zero exit code means that the subprocess failed. (PGP only)

### pgp_long_ids

Type: boolean
Default: no

If set, use 64 bit PGP key IDs. Unset uses the normal 32 bit Key IDs. (PGP only)

### pgp_retainable_sigs

Type: boolean
Default: no

If set, signed and encrypted messages will consist of nested multipart/signed and multipart/encrypted body parts.

This is useful for applications like encrypted and signed mailing lists, where the outer layer (multipart/encrypted) can be easily removed, while the inner multipart/signed part is retained. (PGP only)

### pgp_show_unusable

Type: boolean
Default: yes

If set, mutt will display non-usable keys on the PGP key selection menu. This includes keys which have been revoked, have expired, or have been marked as ``disabled'' by the user. (PGP only)

### pgp_sign_as

Type: string
Default: ""

If you have more than one key pair, this option allows you to specify which of your private keys to use. It is recommended that you use the keyid form to specify your key (e.g., ``0x00112233''). (PGP only)

### pgp_strict_enc

Type: boolean
Default: yes

If set, Mutt will automatically encode PGP/MIME signed messages as quoted-printable. Please note that unsetting this variable may lead to problems with non-verifyable PGP signatures, so only change this if you know what you are doing. (PGP only)

### pgp_timeout

Type: number
Default: 300

The number of seconds after which a cached passphrase will expire if not used. (PGP only)

### pgp_sort_keys

Type: sort order
Default: address

Specifies how the entries in the `pgp keys' menu are sorted. The following are legal values:

address

  sort alphabetically by user id

keyid

  sort alphabetically by key id

date

  sort by key creation date

trust

  sort by the trust of the key

If you prefer reverse order of the above values, prefix it with `reverse-'. (PGP only)

### pgp_create_traditional

Type: quadoption
Default: no

This option controls whether Mutt generates old-style inline PGP encrypted or signed messages.

Note that PGP/MIME will be used automatically for messages which have a character set different from us-ascii, or which consist of more than a single MIME part.

Also note that using the old-style PGP message format is strongly deprecated. (PGP only)

### pgp_auto_traditional

Type: boolean
Default: no

This option causes Mutt to generate an old-style inline PGP encrypted or signed message when replying to an old-style message, and a PGP/MIME message when replying to a PGP/MIME message. Note that this option is only meaningful when using `` $crypt_replyencrypt'', `` $crypt_replysign'', or `` $crypt_replysignencrypted''.

Also note that PGP/MIME will be used automatically for messages which have a character set different from us-ascii, or which consist of more than a single MIME part.

This option overrides `` $pgp_create_traditional'' (PGP only)

### pgp_decode_command

Type: string
Default: ""

This format strings specifies a command which is used to decode application/pgp attachments.

The PGP command formats have their own set of printf-like sequences:

%p

  Expands to PGPPASSFD=0 when a pass phrase is needed, to an empty string otherwise. Note: This may be used with a %? construct.

%f

  Expands to the name of a file containing a message.

%s

  Expands to the name of a file containing the signature part of a multipart/signed attachment when verifying it.

%a

  The value of $pgp_sign_as.

%r

  One or more key IDs.

For examples on how to configure these formats for the various versions of PGP which are floating around, see the pgp*.rc and gpg.rc files in the samples/ subdirectory which has been installed on your system alongside the documentation. (PGP only)

### pgp_getkeys_command

Type: string
Default: ""

This command is invoked whenever mutt will need public key information. %r is the only printf-like sequence used with this format. (PGP only)

### pgp_verify_command

Type: string
Default: ""

This command is used to verify PGP signatures. (PGP only)

### pgp_decrypt_command

Type: string
Default: ""

This command is used to decrypt a PGP encrypted message. (PGP only)

### pgp_clearsign_command

Type: string
Default: ""

This format is used to create a old-style "clearsigned" PGP message. Note that the use of this format is strongly deprecated. (PGP only)

### pgp_sign_command

Type: string
Default: ""

This command is used to create the detached PGP signature for a multipart/signed PGP/MIME body part. (PGP only)

### pgp_encrypt_sign_command

Type: string
Default: ""

This command is used to both sign and encrypt a body part. (PGP only)

### pgp_encrypt_only_command

Type: string
Default: ""

This command is used to encrypt a body part without signing it. (PGP only)

### pgp_import_command

Type: string
Default: ""

This command is used to import a key from a message into the user's public key ring. (PGP only)

### pgp_export_command

Type: string
Default: ""

This command is used to export a public key from the user's key ring. (PGP only)

### pgp_verify_key_command

Type: string
Default: ""

This command is used to verify key information from the key selection menu. (PGP only)

### pgp_list_secring_command

Type: string
Default: ""

This command is used to list the secret key ring's contents. The output format must be analogous to the one used by gpg --list-keys --with-colons.

This format is also generated by the pgpring utility which comes with mutt. (PGP only)

### pgp_list_pubring_command

Type: string
Default: ""

This command is used to list the public key ring's contents. The output format must be analogous to the one used by gpg --list-keys --with-colons.

This format is also generated by the pgpring utility which comes with mutt. (PGP only)

### forward_decrypt

Type: boolean
Default: yes

Controls the handling of encrypted messages when forwarding a message. When set, the outer layer of encryption is stripped off. This variable is only used if `` $mime_forward'' is set and `` $mime_forward_decode'' is unset. (PGP only)

### smime_timeout

Type: number
Default: 300

The number of seconds after which a cached passphrase will expire if not used. (S/MIME only)

### smime_encrypt_with

Type: string
Default: ""

This sets the algorithm that should be used for encryption. Valid choices are "des", "des3", "rc2-40", "rc2-64", "rc2-128". If unset "3des" (TripleDES) is used. (S/MIME only)

### smime_keys

Type: path
Default: ""

Since there is no pubring/secring as with PGP, mutt has to handle storage ad retrieval of keys/certs by itself. This is very basic right now, and stores keys and certificates in two different directories, both named as the hash-value retrieved from OpenSSL. There is an index file which contains mailbox-address keyid pair, and which can be manually edited. This one points to the location of the private keys. (S/MIME only)

### smime_ca_location

Type: path
Default: ""

This variable contains the name of either a directory, or a file which contains trusted certificates for use with OpenSSL. (S/MIME only)

### smime_certificates

Type: path
Default: ""

Since there is no pubring/secring as with PGP, mutt has to handle storage and retrieval of keys by itself. This is very basic right now, and keys and certificates are stored in two different directories, both named as the hash-value retrieved from OpenSSL. There is an index file which contains mailbox-address keyid pairs, and which can be manually edited. This one points to the location of the certificates. (S/MIME only)

### smime_decrypt_command

Type: string
Default: ""

This format string specifies a command which is used to decrypt application/x-pkcs7-mime attachments.

The OpenSSL command formats have their own set of printf-like sequences similar to PGP's:

%f

  Expands to the name of a file containing a message.

%s

  Expands to the name of a file containing the signature part of a multipart/signed attachment when verifying it.

%k

  The key-pair specified with $smime_default_key

%c

  One or more certificate IDs.

%a

  The algorithm used for encryption.

%C

  CA location: Depending on whether $smime_ca_location points to a directory or file, this expands to "-CApath $smime_ca_location" or "-CAfile $smime_ca_location".

For examples on how to configure these formats, see the smime.rc in the samples/ subdirectory which has been installed on your system alongside the documentation. (S/MIME only)

### smime_verify_command

Type: string
Default: ""

This command is used to verify S/MIME signatures of type multipart/signed. (S/MIME only)

### smime_verify_opaque_command

Type: string
Default: ""

This command is used to verify S/MIME signatures of type application/x-pkcs7-mime. (S/MIME only)

### smime_sign_command

Type: string
Default: ""

This command is used to created S/MIME signatures of type multipart/signed, which can be read by all mail clients. (S/MIME only)

### smime_sign_opaque_command

Type: string
Default: ""

This command is used to created S/MIME signatures of type application/x-pkcs7-signature, which can only be handled by mail clients supporting the S/MIME extension. (S/MIME only)

### smime_encrypt_command

Type: string
Default: ""

This command is used to create encrypted S/MIME messages. (S/MIME only)

### smime_pk7out_command

Type: string
Default: ""

This command is used to extract PKCS7 structures of S/MIME signatures, in order to extract the public X509 certificate(s). (S/MIME only)

### smime_get_cert_command

Type: string
Default: ""

This command is used to extract X509 certificates from a PKCS7 structure. (S/MIME only)

### smime_get_signer_cert_command

Type: string
Default: ""

This command is used to extract only the signers X509 certificate from a S/MIME signature, so that the certificate's owner may get compared to the email's 'From'-field. (S/MIME only)

### smime_import_cert_command

Type: string
Default: ""

This command is used to import a certificate via smime_keys. (S/MIME only)

### smime_get_cert_email_command

Type: string
Default: ""

This command is used to extract the mail address(es) used for storing X509 certificates, and for verification purposes (to check whether the certificate was issued for the sender's mailbox). (S/MIME only)

### smime_default_key

Type: string
Default: ""

This is the default key-pair to use for signing. This must be set to the keyid (the hash-value that OpenSSL generates) to work properly (S/MIME only)

### ssl_starttls

Type: quadoption
Default: yes

If set (the default), mutt will attempt to use STARTTLS on servers advertising the capability. When unset, mutt will not attempt to use STARTTLS regardless of the server's capabilities.

### certificate_file

Type: path
Default: ""

This variable specifies the file where the certificates you trust are saved. When an unknown certificate is encountered, you are asked if you accept it or not. If you accept it, the certificate can also be saved in this file and further connections are automatically accepted.

You can also manually add CA certificates in this file. Any server certificate that is signed with one of these CA certificates are also automatically accepted.

Example: set certificate_file=~/.mutt/certificates

### ssl_usesystemcerts

Type: boolean
Default: yes

If set to yes, mutt will use CA certificates in the system-wide certificate store when checking if server certificate is signed by a trusted CA.

### entropy_file

Type: path
Default: ""

The file which includes random data that is used to initialize SSL library functions.

### ssl_use_sslv2

Type: boolean
Default: yes

This variables specifies whether to attempt to use SSLv2 in the SSL authentication process.

### ssl_use_sslv3

Type: boolean
Default: yes

This variables specifies whether to attempt to use SSLv3 in the SSL authentication process.

### ssl_use_tlsv1

Type: boolean
Default: yes

This variables specifies whether to attempt to use TLSv1 in the SSL authentication process.

### pipe_split

Type: boolean
Default: no

Used in connection with the pipe-message command and the ``tag- prefix'' operator. If this variable is unset, when piping a list of tagged messages Mutt will concatenate the messages and will pipe them as a single folder. When set, Mutt will pipe the messages one by one. In both cases the messages are piped in the current sorted order, and the `` $pipe_sep'' separator is added after each message.

### pipe_decode

Type: boolean
Default: no

Used in connection with the pipe-message command. When unset, Mutt will pipe the messages without any preprocessing. When set, Mutt will weed headers and will attempt to PGP/MIME decode the messages first.

### pipe_sep

Type: string
Default: "\n"

The separator to add between messages when piping a list of tagged messages to an external Unix command.

### pop_authenticators

Type: string
Default: ""

This is a colon-delimited list of authentication methods mutt may attempt to use to log in to an POP server, in the order mutt should try them. Authentication methods are either 'user', 'apop' or any SASL mechanism, eg 'digest-md5', 'gssapi' or 'cram-md5'. This parameter is case-insensitive. If this parameter is unset (the default) mutt will try all available methods, in order from most-secure to least-secure.

Example: set pop_authenticators="digest-md5:apop:user"

### pop_auth_try_all

Type: boolean
Default: yes

If set, Mutt will try all available methods. When unset, Mutt will only fall back to other authentication methods if the previous methods are unavailable. If a method is available but authentication fails, Mutt will not connect to the POP server.

### pop_checkinterval

Type: number
Default: 60

This variable configures how often (in seconds) POP should look for new mail.

### pop_delete

Type: quadoption
Default: ask-no

If set, Mutt will delete successfully downloaded messages from the POP server when using the fetch-mail function. When unset, Mutt will download messages but also leave them on the POP server.

### pop_host

Type: string
Default: ""

The name of your POP server for the fetch-mail function. You can also specify an alternative port, username and password, ie:

[pop[s]://][username[:password]@]popserver[:port]

### pop_last

Type: boolean
Default: no

If this variable is set, mutt will try to use the "LAST" POP command for retrieving only unread messages from the POP server when using the fetch-mail function.

### pop_reconnect

Type: quadoption
Default: ask-yes

Controls whether or not Mutt will try to reconnect to POP server when connection lost.

### pop_user

Type: string
Default: ""

Your login name on the POP server.

This variable defaults to your user name on the local machine.

### pop_pass

Type: string
Default: ""

Specifies the password for your POP account. If unset, Mutt will prompt you for your password when you open POP mailbox. Warning: you should only use this option when you are on a fairly secure machine, because the superuser can read your muttrc even if you are the only one who can read the file.

### post_indent_string

Type: string
Default: ""

Similar to the `` $attribution'' variable, Mutt will append this string after the inclusion of a message which is being replied to.

### postpone

Type: quadoption
Default: ask-yes

Controls whether or not messages are saved in the `` $postponed'' mailbox when you elect not to send immediately.

### postponed

Type: path
Default: "~/postponed"

Mutt allows you to indefinitely `` postpone sending a message'' which you are editing. When you choose to postpone a message, Mutt saves it in the mailbox specified by this variable. Also see the `` $postpone'' variable.

### preconnect

Type: string
Default: ""

If set, a shell command to be executed if mutt fails to establish a connection to the server. This is useful for setting up secure connections, e.g. with ssh(1). If the command returns a nonzero status, mutt gives up opening the server. Example:

preconnect="ssh -f -q -L 1234:mailhost.net:143 mailhost.net sleep 20 < /dev/null > /dev/null"

Mailbox 'foo' on mailhost.net can now be reached as '{localhost:1234}foo'.

NOTE: For this example to work, you must be able to log in to the remote machine without having to enter a password.

### print

Type: quadoption
Default: ask-no

Controls whether or not Mutt asks for confirmation before printing. This is useful for people (like me) who accidentally hit ``p'' often.

### print_command

Type: path
Default: "lpr"

This specifies the command pipe that should be used to print messages.

### print_decode

Type: boolean
Default: yes

Used in connection with the print-message command. If this option is set, the message is decoded before it is passed to the external command specified by $print_command. If this option is unset, no processing will be applied to the message when printing it. The latter setting may be useful if you are using some advanced printer filter which is able to properly format e-mail messages for printing.

### print_split

Type: boolean
Default: no

Used in connection with the print-message command. If this option is set, the command specified by $print_command is executed once for each message which is to be printed. If this option is unset, the command specified by $print_command is executed only once, and all the messages are concatenated, with a form feed as the message separator.

Those who use the enscript(1) program's mail-printing mode will most likely want to set this option.

### prompt_after

Type: boolean
Default: yes

If you use an external `` $pager'', setting this variable will cause Mutt to prompt you for a command when the pager exits rather than returning to the index menu. If unset, Mutt will return to the index menu when the external pager exits.

### query_command

Type: path
Default: ""

This specifies the command that mutt will use to make external address queries. The string should contain a %s, which will be substituted with the query string the user types. See `` query'' for more information.

### quit

Type: quadoption
Default: yes

This variable controls whether ``quit'' and ``exit'' actually quit from mutt. If it set to yes, they do quit, if it is set to no, they have no effect, and if it is set to ask-yes or ask-no, you are prompted for confirmation when you try to quit.

### quote_regexp

Type: regular expression
Default: "^([ \t]*[|>:}#])+"

A regular expression used in the internal-pager to determine quoted sections of text in the body of a message.

Note: In order to use the quoted x patterns in the internal pager, you need to set this to a regular expression that matches exactly the quote characters at the beginning of quoted lines.

### read_inc

Type: number
Default: 10

If set to a value greater than 0, Mutt will display which message it is currently on when reading a mailbox. The message is printed after read_inc messages have been read (e.g., if set to 25, Mutt will print a message when it reads message 25, and then again when it gets to message 50). This variable is meant to indicate progress when reading large mailboxes which may take some time. When set to 0, only a single message will appear before the reading the mailbox.

Also see the `` $write_inc'' variable.

### read_only

Type: boolean
Default: no

If set, all folders are opened in read-only mode.

### realname

Type: string
Default: ""

This variable specifies what "real" or "personal" name should be used when sending messages.

By default, this is the GECOS field from /etc/passwd. Note that this variable will not be used when the user has set a real name in the $from variable.

### recall

Type: quadoption
Default: ask-yes

Controls whether or not you are prompted to recall postponed messages when composing a new message. Also see `` $postponed''.

Setting this variable to ``yes'' is not generally useful, and thus not recommended.

### record

Type: path
Default: ""

This specifies the file into which your outgoing messages should be appended. (This is meant as the primary method for saving a copy of your messages, but another way to do this is using the `` my_hdr'' command to create a Bcc: field with your email address in it.)

The value of $record is overridden by the `` $force_name'' and `` $save_name'' variables, and the `` fcc-hook'' command.

### reply_regexp

Type: regular expression
Default: "^(re([\[0-9\]+])*|aw):[ \t]*"

A regular expression used to recognize reply messages when threading and replying. The default value corresponds to the English "Re:" and the German "Aw:".

### reply_self

Type: boolean
Default: no

If unset and you are replying to a message sent by you, Mutt will assume that you want to reply to the recipients of that message rather than to yourself.

### reply_to

Type: quadoption
Default: ask-yes

If set, Mutt will ask you if you want to use the address listed in the Reply-To: header field when replying to a message. If you answer no, it will use the address in the From: header field instead. This option is useful for reading a mailing list that sets the Reply-To: header field to the list address and you want to send a private message to the author of a message.

### resolve

Type: boolean
Default: yes

When set, the cursor will be automatically advanced to the next (possibly undeleted) message whenever a command that modifies the current message is executed.

### reverse_alias

Type: boolean
Default: no

This variable controls whether or not Mutt will display the "personal" name from your aliases in the index menu if it finds an alias that matches the message's sender. For example, if you have the following alias:

> `

>     alias juser abd30425@somewhere.net (Joe User)

> `

and then you receive mail which contains the following header:

> `

>     From: abd30425@somewhere.net

> `

It would be displayed in the index menu as ``Joe User'' instead of ``abd30425@somewhere.net.'' This is useful when the person's e-mail address is not human friendly (like CompuServe addresses).

### reverse_name

Type: boolean
Default: no

It may sometimes arrive that you receive mail to a certain machine, move the messages to another machine, and reply to some the messages from there. If this variable is set, the default From: line of the reply messages is built using the address where you received the messages you are replying to. If the variable is unset, the From: line will use your address on the current machine.

### reverse_realname

Type: boolean
Default: yes

This variable fine-tunes the behaviour of the reverse_name feature. When it is set, mutt will use the address from incoming messages as-is, possibly including eventual real names. When it is unset, mutt will override any such real names with the setting of the realname variable.

### rfc2047_parameters

Type: boolean
Default: no

When this variable is set, Mutt will decode RFC-2047-encoded MIME parameters. You want to set this variable when mutt suggests you to save attachments to files named like this: =?iso-8859-1?Q?file=5F=E4=5F991116=2Ezip?=

When this variable is set interactively, the change doesn't have the desired effect before you have changed folders.

Note that this use of RFC 2047's encoding is explicitly, prohibited by the standard, but nevertheless encountered in the wild. Also note that setting this parameter will not have the effect that mutt generates this kind of encoding. Instead, mutt will unconditionally use the encoding specified in RFC 2231.

### save_address

Type: boolean
Default: no

If set, mutt will take the sender's full address when choosing a default folder for saving a mail. If `` $save_name'' or `` $force_name'' is set too, the selection of the fcc folder will be changed as well.

### save_empty

Type: boolean
Default: yes

When unset, mailboxes which contain no saved messages will be removed when closed (the exception is `` $spoolfile'' which is never removed). If set, mailboxes are never removed.

Note: This only applies to mbox and MMDF folders, Mutt does not delete MH and Maildir directories.

### save_name

Type: boolean
Default: no

This variable controls how copies of outgoing messages are saved. When set, a check is made to see if a mailbox specified by the recipient address exists (this is done by searching for a mailbox in the `` $folder'' directory with the username part of the recipient address). If the mailbox exists, the outgoing message will be saved to that mailbox, otherwise the message is saved to the `` $record'' mailbox.

Also see the `` $force_name'' variable.

### score

Type: boolean
Default: yes

When this variable is unset, scoring is turned off. This can be useful to selectively disable scoring for certain folders when the `` $score_threshold_delete'' variable and friends are used.

### score_threshold_delete

Type: number
Default: -1

Messages which have been assigned a score equal to or lower than the value of this variable are automatically marked for deletion by mutt. Since mutt scores are always greater than or equal to zero, the default setting of this variable will never mark a message for deletion.

### score_threshold_flag

Type: number
Default: 9999

Messages which have been assigned a score greater than or equal to this variable's value are automatically marked "flagged".

### score_threshold_read

Type: number
Default: -1

Messages which have been assigned a score equal to or lower than the value of this variable are automatically marked as read by mutt. Since mutt scores are always greater than or equal to zero, the default setting of this variable will never mark a message read.

### send_charset

Type: string
Default: "us-ascii:iso-8859-1:utf-8"

A list of character sets for outgoing messages. Mutt will use the first character set into which the text can be converted exactly. If your `` $charset'' is not iso-8859-1 and recipients may not understand UTF-8, it is advisable to include in the list an appropriate widely used standard character set (such as iso-8859-2, koi8-r or iso-2022-jp) either instead of or after "iso-8859-1".

### sendmail

Type: path
Default: "/usr/sbin/sendmail -oem -oi"

Specifies the program and arguments used to deliver mail sent by Mutt. Mutt expects that the specified program interprets additional arguments as recipient addresses.

### sendmail_wait

Type: number
Default: 0

Specifies the number of seconds to wait for the `` $sendmail'' process to finish before giving up and putting delivery in the background.

Mutt interprets the value of this variable as follows:

>0

  number of seconds to wait for sendmail to finish before continuing

0

  wait forever for sendmail to finish

<0

  always put sendmail in the background without waiting

Note that if you specify a value other than 0, the output of the child process will be put in a temporary file. If there is some error, you will be informed as to where to find the output.

### shell

Type: path
Default: ""

Command to use when spawning a subshell. By default, the user's login shell from /etc/passwd is used.

### sig_dashes

Type: boolean
Default: yes

If set, a line containing ``-- '' will be inserted before your `` $signature''. It is strongly recommended that you not unset this variable unless your ``signature'' contains just your name. The reason for this is because many software packages use ``-- \n'' to detect your signature. For example, Mutt has the ability to highlight the signature in a different color in the builtin pager.

### sig_on_top

Type: boolean
Default: no

If set, the signature will be included before any quoted or forwarded text. It is strongly recommended that you do not set this variable unless you really know what you are doing, and are prepared to take some heat from netiquette guardians.

### signature

Type: path
Default: "~/.signature"

Specifies the filename of your signature, which is appended to all outgoing messages. If the filename ends with a pipe (``|''), it is assumed that filename is a shell command and input should be read from its stdout.

### simple_search

Type: string
Default: "~f %s | ~s %s"

Specifies how Mutt should expand a simple search into a real search pattern. A simple search is one that does not contain any of the ~ operators. See `` patterns'' for more information on search patterns.

For example, if you simply type joe at a search or limit prompt, Mutt will automatically expand it to the value specified by this variable. For the default value it would be:

~f joe | ~s joe

### smart_wrap

Type: boolean
Default: yes

Controls the display of lines longer than the screen width in the internal pager. If set, long lines are wrapped at a word boundary. If unset, lines are simply wrapped at the screen edge. Also see the `` $markers'' variable.

### smileys

Type: regular expression
Default: "(>From )|(:[-^]?[][)(><}{|/DP])"

The pager uses this variable to catch some common false positives of `` $quote_regexp'', most notably smileys in the beginning of a line

### sleep_time

Type: number
Default: 1

Specifies time, in seconds, to pause while displaying certain informational messages, while moving from folder to folder and after expunging messages from the current folder. The default is to pause one second, so a value of zero for this option suppresses the pause.

### sort

Type: sort order
Default: date

Specifies how to sort messages in the index menu. Valid values are:

> `

>        date or date-sent
>        date-received
>        from
>        mailbox-order (unsorted)
>        score
>        size
>        subject
>        threads
>        to

> `

You may optionally use the reverse- prefix to specify reverse sorting order (example: set sort=reverse-date-sent).

### sort_alias

Type: sort order
Default: alias

Specifies how the entries in the `alias' menu are sorted. The following are legal values:

> `

>        address (sort alphabetically by email address)
>        alias (sort alphabetically by alias name)
>        unsorted (leave in order specified in .muttrc)

> `

### sort_aux

Type: sort order
Default: date

When sorting by threads, this variable controls how threads are sorted in relation to other threads, and how the branches of the thread trees are sorted. This can be set to any value that `` $sort'' can, except threads (in that case, mutt will just use date-sent). You can also specify the last- prefix in addition to the reverse- prefix, but last- must come after reverse-. The last- prefix causes messages to be sorted against its siblings by which has the last descendant, using the rest of sort_aux as an ordering. For instance, set sort_aux=last- date-received would mean that if a new message is received in a thread, that thread becomes the last one displayed (or the first, if you have set sort=reverse-threads.) Note: For reversed `` $sort'' order $sort_aux is reversed again (which is not the right thing to do, but kept to not break any existing configuration setting).

### sort_browser

Type: sort order
Default: subject

Specifies how to sort entries in the file browser. By default, the entries are sorted alphabetically. Valid values:

> `

>        alpha (alphabetically)
>        date
>        size
>        unsorted

> `

You may optionally use the reverse- prefix to specify reverse sorting order (example: set sort_browser=reverse-date).

### sort_re

Type: boolean
Default: yes

This variable is only useful when sorting by threads with `` $strict_threads'' unset. In that case, it changes the heuristic mutt uses to thread messages by subject. With sort_re set, mutt will only attach a message as the child of another message by subject if the subject of the child message starts with a substring matching the setting of `` $reply_regexp''. With sort_re unset, mutt will attach the message whether or not this is the case, as long as the non-`` $reply_regexp'' parts of both messages are identical.

### spoolfile

Type: path
Default: ""

If your spool mailbox is in a non-default place where Mutt cannot find it, you can specify its location with this variable. Mutt will automatically set this variable to the value of the environment variable $MAIL if it is not set.

### status_chars

Type: string
Default: "-*%A"

Controls the characters used by the "%r" indicator in `` $status_format''. The first character is used when the mailbox is unchanged. The second is used when the mailbox has been changed, and it needs to be resynchronized. The third is used if the mailbox is in read-only mode, or if the mailbox will not be written when exiting that mailbox (You can toggle whether to write changes to a mailbox with the toggle-write operation, bound by default to "%"). The fourth is used to indicate that the current folder has been opened in attach- message mode (Certain operations like composing a new mail, replying, forwarding, etc. are not permitted in this mode).

### status_format

Type: string
Default: "-%r-Mutt: %f [Msgs:%?M?%M/?%m%?n? New:%n?%?o? Old:%o?%?d? Del:%d?%?F? Flag:%F?%?t? Tag:%t?%?p? Post:%p?%?b? Inc:%b?%?l? %l?]---(%s/%S)-%>-(%P)---"

Controls the format of the status line displayed in the index menu. This string is similar to `` $index_format'', but has its own set of printf()-like sequences:

%b

  number of mailboxes with new mail *

%d

  number of deleted messages *

%f

  the full pathname of the current mailbox

%F

  number of flagged messages *

%h

  local hostname

%l

  size (in bytes) of the current mailbox *

%L

  size (in bytes) of the messages shown (i.e., which match the current limit) *

%m

  the number of messages in the mailbox *

%M

  the number of messages shown (i.e., which match the current limit) *

%n

  number of new messages in the mailbox *

%o

  number of old unread messages

%p

  number of postponed messages *

%P

  percentage of the way through the index

%r

  modified/read-only/won't-write/attach-message indicator, according to $status_chars

%s

  current sorting mode ( $sort)

%S

  current aux sorting method ( $sort_aux)

%t

  number of tagged messages *

%u

  number of unread messages *

%v

  Mutt version string

%V

  currently active limit pattern, if any *

%>X

  right justify the rest of the string and pad with "X"

%|X

  pad to the end of the line with "X"

* = can be optionally printed if nonzero

Some of the above sequences can be used to optionally print a string if their value is nonzero. For example, you may only want to see the number of flagged messages if such messages exist, since zero is not particularly meaningful. To optionally print a string based upon one of the above sequences, the following construct is used

%?<sequence_char>?<optional_string>?

where sequence_char is a character from the table above, and optional_string is the string you would like printed if status_char is nonzero. optional_string may contain other sequence as well as normal text, but you may not nest optional strings.

Here is an example illustrating how to optionally print the number of new messages in a mailbox: %?n?%n new messages.?

Additionally you can switch between two strings, the first one, if a value is zero, the second one, if the value is nonzero, by using the following construct: %?<sequence_char>?<if_string>&<else_string>?

You can additionally force the result of any printf-like sequence to be lowercase by prefixing the sequence character with an underscore (_) sign. For example, if you want to display the local hostname in lowercase, you would use: %_h

If you prefix the sequence character with a colon (:) character, mutt will replace any dots in the expansion by underscores. This might be helpful with IMAP folders that don't like dots in folder names.

### status_on_top

Type: boolean
Default: no

Setting this variable causes the ``status bar'' to be displayed on the first line of the screen rather than near the bottom.

### strict_threads

Type: boolean
Default: no

If set, threading will only make use of the ``In-Reply-To'' and ``References'' fields when you `` $sort'' by message threads. By default, messages with the same subject are grouped together in ``pseudo threads.'' This may not always be desirable, such as in a personal mailbox where you might have several unrelated messages with the subject ``hi'' which will get grouped together.

### suspend

Type: boolean
Default: yes

When unset, mutt won't stop when the user presses the terminal's susp key, usually ``control-Z''. This is useful if you run mutt inside an xterm using a command like xterm -e mutt.

### text_flowed

Type: boolean
Default: no

When set, mutt will generate text/plain; format=flowed attachments. This format is easier to handle for some mailing software, and generally just looks like ordinary text. To actually make use of this format's features, you'll need support in your editor.

Note that $indent_string is ignored when this option is set.

### thread_received

Type: boolean
Default: no

When set, mutt uses the date received rather than the date sent to thread messages by subject.

### thorough_search

Type: boolean
Default: no

Affects the ~b and ~h search operations described in section `` patterns'' above. If set, the headers and attachments of messages to be searched are decoded before searching. If unset, messages are searched as they appear in the folder.

### tilde

Type: boolean
Default: no

When set, the internal-pager will pad blank lines to the bottom of the screen with a tilde (~).

### timeout

Type: number
Default: 600

This variable controls the number of seconds Mutt will wait for a key to be pressed in the main menu before timing out and checking for new mail. A value of zero or less will cause Mutt to never time out.

### tmpdir

Type: path
Default: ""

This variable allows you to specify where Mutt will place its temporary files needed for displaying and composing messages. If this variable is not set, the environment variable TMPDIR is used. If TMPDIR is not set then "/tmp" is used.

### to_chars

Type: string
Default: " +TCFL"

Controls the character used to indicate mail addressed to you. The first character is the one used when the mail is NOT addressed to your address (default: space). The second is used when you are the only recipient of the message (default: +). The third is when your address appears in the TO header field, but you are not the only recipient of the message (default: T). The fourth character is used when your address is specified in the CC header field, but you are not the only recipient. The fifth character is used to indicate mail that was sent by you. The sixth character is used to indicate when a mail was sent to a mailing-list you subscribe to (default: L).

### tunnel

Type: string
Default: ""

Setting this variable will cause mutt to open a pipe to a command instead of a raw socket. You may be able to use this to set up preauthenticated connections to your IMAP/POP3 server. Example:

tunnel="ssh -q mailhost.net /usr/local/libexec/imapd"

NOTE: For this example to work you must be able to log in to the remote machine without having to enter a password.

### use_8bitmime

Type: boolean
Default: no

Warning: do not set this variable unless you are using a version of sendmail which supports the -B8BITMIME flag (such as sendmail 8.8.x) or you may not be able to send mail.

When set, Mutt will invoke `` $sendmail'' with the -B8BITMIME flag when sending 8-bit messages to enable ESMTP negotiation.

### use_domain

Type: boolean
Default: yes

When set, Mutt will qualify all local addresses (ones without the @host portion) with the value of `` $hostname''. If unset, no addresses will be qualified.

### use_from

Type: boolean
Default: yes

When set, Mutt will generate the `From:' header field when sending messages. If unset, no `From:' header field will be generated unless the user explicitly sets one using the `` my_hdr'' command.

### use_ipv6

Type: boolean
Default: yes

When set, Mutt will look for IPv6 addresses of hosts it tries to contact. If this option is unset, Mutt will restrict itself to IPv4 addresses. Normally, the default should work.

### user_agent

Type: boolean
Default: yes

When set, mutt will add a "User-Agent" header to outgoing messages, indicating which version of mutt was used for composing them.

### visual

Type: path
Default: ""

Specifies the visual editor to invoke when the ~v command is given in the builtin editor.

### wait_key

Type: boolean
Default: yes

Controls whether Mutt will ask you to press a key after shell- escape, pipe-message, pipe-entry, print-message, and print-entry commands.

It is also used when viewing attachments with `` auto_view'', provided that the corresponding mailcap entry has a needsterminal flag, and the external program is interactive.

When set, Mutt will always ask for a key. When unset, Mutt will wait for a key only if the external command returned a non-zero status.

### weed

Type: boolean
Default: yes

When set, mutt will weed headers when when displaying, forwarding, printing, or replying to messages.

### wrap_search

Type: boolean
Default: yes

Controls whether searches wrap around the end of the mailbox.

When set, searches will wrap around the first (or last) message. When unset, searches will not wrap.

### wrapmargin

Type: number
Default: 0

Controls the size of the margin remaining at the right side of the terminal when mutt's pager does smart wrapping.

### write_inc

Type: number
Default: 10

When writing a mailbox, a message will be printed every write_inc messages to indicate progress. If set to 0, only a single message will be displayed before writing a mailbox.

Also see the `` $read_inc'' variable.

### write_bcc

Type: boolean
Default: yes

Controls whether mutt writes out the Bcc header when preparing messages to be sent. Exim users may wish to use this.

## 6.4 Functions

The following is the list of available functions listed by the mapping in which they are available. The default key setting is given, and an explanation of what the function does. The key bindings of these functions can be changed with the bind command.

### generic

The generic menu is not a real menu, but specifies common functions (such as movement) available in all menus except for pager and editor. Changing settings for this menu will affect the default bindings for all menus (except as noted).

    bottom-page                L   move to the bottom of the page
    current-bottom     not bound   move current entry to bottom of page
    current-middle     not bound   move current entry to middle of page
    current-top        not bound   move current entry to top of page
    enter-command              :   enter a muttrc command
    exit                       q   exit this menu
    first-entry                =   move to the first entry
    half-down                  ]   scroll down 1/2 page
    half-up                    [   scroll up 1/2 page
    help                       ?   this screen
    jump                  number   jump to an index number
    last-entry                 *   move to the last entry
    middle-page                M   move to the middle of the page
    next-entry                 j   move to the next entry
    next-line                  >   scroll down one line
    next-page                  z   move to the next page
    previous-entry             k   move to the previous entry
    previous-line              <   scroll up one line
    previous-page              Z   move to the previous page
    refresh                   ^L   clear and redraw the screen
    search                     /   search for a regular expression
    search-next                n   search for next match
    search-opposite    not bound   search for next match in opposite direction
    search-reverse         ESC /   search backwards for a regular expression
    select-entry             RET   select the current entry
    shell-escape               !   run a program in a subshell
    tag-entry                  t   toggle the tag on the current entry
    tag-prefix                 ;   apply next command to tagged entries
    top-page                   H   move to the top of the page

### index

    bounce-message             b   remail a message to another user
    change-folder              c   open a different folder
    change-folder-readonly ESC c   open a different folder in read only mode
    check-traditional-pgp  ESC P   check for classic pgp
    clear-flag                 W   clear a status flag from a message
    copy-message               C   copy a message to a file/mailbox
    create-alias               a   create an alias from a message sender
    decode-copy            ESC C   decode a message and copy it to a file/mailbox
    decode-save            ESC s   decode a message and save it to a file/mailbox
    delete-message             d   delete the current entry
    delete-pattern             D   delete messages matching a pattern
    delete-subthread       ESC d   delete all messages in subthread
    delete-thread             ^D   delete all messages in thread
    display-address            @   display full address of sender
    display-toggle-weed        h   display message and toggle header weeding
    display-message          RET   display a message
    edit                       e   edit the current message
    edit-type                 ^E   edit the current message's Content-Type
    exit                       x   exit without saving changes
    extract-keys              ^K   extract PGP public keys
    fetch-mail                 G   retrieve mail from POP server
    flag-message               F   toggle a message's 'important' flag
    forget-passphrase         ^F   wipe PGP passphrase from memory
    forward-message            f   forward a message with comments
    group-reply                g   reply to all recipients
    limit                      l   show only messages matching a pattern
    list-reply                 L   reply to specified mailing list
    mail                       m   compose a new mail message
    mail-key               ESC k   mail a PGP public key
    next-new                 TAB   jump to the next new message
    next-subthread         ESC n   jump to the next subthread
    next-thread               ^N   jump to the next thread
    next-undeleted             j   move to the next undeleted message
    next-unread        not bound   jump to the next unread message
    parent-message             P   jump to parent message in thread
    pipe-message               |   pipe message/attachment to a shell command
    previous-new         ESC TAB   jump to the previous new message
    previous-page              Z   move to the previous page
    previous-subthread     ESC p   jump to previous subthread
    previous-thread           ^P   jump to previous thread
    previous-undeleted         k   move to the last undelete message
    previous-unread    not bound   jump to the previous unread message
    print-message              p   print the current entry
    query                      Q   query external program for addresses
    quit                       q   save changes to mailbox and quit
    read-subthread         ESC r   mark the current subthread as read
    read-thread               ^R   mark the current thread as read
    recall-message             R   recall a postponed message
    reply                      r   reply to a message
    resend-message         ESC e   resend message and preserve MIME structure
    save-message               s   save message/attachment to a file
    set-flag                   w   set a status flag on a message
    show-version               V   show the Mutt version number and date
    show-limit             ESC l   show currently active limit pattern, if any
    sort-mailbox               o   sort messages
    sort-reverse               O   sort messages in reverse order
    sync-mailbox               $   save changes to mailbox
    tag-pattern                T   tag messages matching a pattern
    tag-thread             ESC t   tag/untag all messages in the current thread
    toggle-new                 N   toggle a message's 'new' flag
    toggle-write               %   toggle whether the mailbox will be rewritten
    undelete-message           u   undelete the current entry
    undelete-pattern           U   undelete messages matching a pattern
    undelete-subthread     ESC u   undelete all messages in subthread
    undelete-thread           ^U   undelete all messages in thread
    untag-pattern             ^T   untag messages matching a pattern
    view-attachments           v   show MIME attachments

### pager

    bottom             not bound   jump to the bottom of the message
    bounce-message             b   remail a message to another user
    change-folder              c   open a different folder
    change-folder-readonly ESC c   open a different folder in read only mode
    check-traditional-pgp  ESC P   check for classic pgp
    copy-message               C   copy a message to a file/mailbox
    create-alias               a   create an alias from a message sender
    decode-copy            ESC C   decode a message and copy it to a file/mailbox
    decode-save            ESC s   decode a message and save it to a file/mailbox
    delete-message             d   delete the current entry
    delete-subthread       ESC d   delete all messages in subthread
    delete-thread             ^D   delete all messages in thread
    display-address            @   display full address of sender
    display-toggle-weed        h   display message and toggle header weeding
    edit                       e   edit the current message
    edit-type                 ^E   edit the current message's Content-Type
    enter-command              :   enter a muttrc command
    exit                       i   return to the main-menu
    extract-keys              ^K   extract PGP public keys
    flag-message               F   toggle a message's 'important' flag
    forget-passphrase         ^F   wipe PGP passphrase from memory
    forward-message            f   forward a message with comments
    group-reply                g   reply to all recipients
    half-up            not bound   move up one-half page
    half-down          not bound   move down one-half page
    help                       ?   this screen
    list-reply                 L   reply to specified mailing list
    mail                       m   compose a new mail message
    mail-key               ESC k   mail a PGP public key
    mark-as-new                N   toggle a message's 'new' flag
    next-line                RET   scroll down one line
    next-entry                 J   move to the next entry
    next-new                 TAB   jump to the next new message
    next-page                      move to the next page
    next-subthread         ESC n   jump to the next subthread
    next-thread               ^N   jump to the next thread
    next-undeleted             j   move to the next undeleted message
    next-unread        not bound   jump to the next unread message
    parent-message             P   jump to parent message in thread
    pipe-message               |   pipe message/attachment to a shell command
    previous-line      BackSpace   scroll up one line
    previous-entry             K   move to the previous entry
    previous-new       not bound   jump to the previous new message
    previous-page              -   move to the previous page
    previous-subthread     ESC p   jump to previous subthread
    previous-thread           ^P   jump to previous thread
    previous-undeleted         k   move to the last undelete message
    previous-unread    not bound   jump to the previous unread message
    print-message              p   print the current entry
    quit                       Q   save changes to mailbox and quit
    read-subthread         ESC r   mark the current subthread as read
    read-thread               ^R   mark the current thread as read
    recall-message             R   recall a postponed message
    redraw-screen             ^L   clear and redraw the screen
    reply                      r   reply to a message
    save-message               s   save message/attachment to a file
    search                     /   search for a regular expression
    search-next                n   search for next match
    search-opposite    not bound   search for next match in opposite direction
    search-reverse         ESC /   search backwards for a regular expression
    search-toggle              \   toggle search pattern coloring
    shell-escape               !   invoke a command in a subshell
    show-version               V   show the Mutt version number and date
    skip-quoted                S   skip beyond quoted text
    sync-mailbox               $   save changes to mailbox
    tag-message                t   tag a message
    toggle-quoted              T   toggle display of quoted text
    top                        ^   jump to the top of the message
    undelete-message           u   undelete the current entry
    undelete-subthread     ESC u   undelete all messages in subthread
    undelete-thread           ^U   undelete all messages in thread
    view-attachments           v   show MIME attachments

### alias

    search                     /   search for a regular expression
    search-next                n   search for next match
    search-reverse         ESC /   search backwards for a regular expression

### query

    create-alias               a   create an alias from a message sender
    mail                       m   compose a new mail message
    query                      Q   query external program for addresses
    query-append               A   append new query results to current results
    search                     /   search for a regular expression
    search-next                n   search for next match
    search-opposite    not bound   search for next match in opposite direction
    search-reverse         ESC /   search backwards for a regular expression

### attach

    bounce-message             b   remail a message to another user
    collapse-parts             v   toggle display of subparts
    delete-entry               d   delete the current entry
    display-toggle-weed        h   display message and toggle header weeding
    edit-type                 ^E   edit the current entry's Content-Type
    extract-keys              ^K   extract PGP public keys
    forward-message            f   forward a message with comments
    group-reply                g   reply to all recipients
    list-reply                 L   reply to specified mailing list
    pipe-entry                 |   pipe message/attachment to a shell command
    print-entry                p   print the current entry
    reply                      r   reply to a message
    resend-message         ESC e   resend message and preserve MIME structure
    save-entry                 s   save message/attachment to a file
    undelete-entry             u   undelete the current entry
    view-attach              RET   view attachment using mailcap entry if necessary
    view-mailcap               m   force viewing of attachment using mailcap
    view-text                  T   view attachment as text

### compose

    attach-file                a   attach a file(s) to this message
    attach-message             A   attach message(s) to this message
    attach-key             ESC k   attach a PGP public key
    copy-file                  C   save message/attachment to a file
    detach-file                D   delete the current entry
    display-toggle-weed        h   display message and toggle header weeding
    edit-bcc                   b   edit the BCC list
    edit-cc                    c   edit the CC list
    edit-description           d   edit attachment description
    edit-encoding             ^E   edit attachment transfer-encoding
    edit-fcc                   f   enter a file to save a copy of this message in
    edit-from              ESC f   edit the from: field
    edit-file               ^X e   edit the file to be attached
    edit-headers               E   edit the message with headers
    edit                       e   edit the message
    edit-mime                  m   edit attachment using mailcap entry
    edit-reply-to              r   edit the Reply-To field
    edit-subject               s   edit the subject of this message
    edit-to                    t   edit the TO list
    edit-type                 ^T   edit attachment type
    filter-entry               F   filter attachment through a shell command
    forget-passphrase         ^F   wipe PGP passphrase from memory
    ispell                     i   run ispell on the message
    new-mime                   n   compose new attachment using mailcap entry
    pgp-menu                   p   show PGP options
    pipe-entry                 |   pipe message/attachment to a shell command
    postpone-message           P   save this message to send later
    print-entry                l   print the current entry
    rename-file                R   rename/move an attached file
    send-message               y   send the message
    toggle-unlink              u   toggle whether to delete file after sending it
    view-attach              RET   view attachment using mailcap entry if necessary
    write-fcc                  w   write the message to a folder

### postpone

    delete-entry               d   delete the current entry
    undelete-entry             u   undelete the current entry

### browser

    change-dir                 c   change directories
    check-new                TAB   check mailboxes for new mail
    enter-mask                 m   enter a file mask
    search                     /   search for a regular expression
    search-next                n   search for next match
    search-reverse         ESC /   search backwards for a regular expression
    select-new                 N   select a new file in this directory
    sort                       o   sort messages
    sort-reverse               O   sort messages in reverse order
    toggle-mailboxes         TAB   toggle whether to browse mailboxes or all files
    view-file              SPACE   view file
    subscribe                  s   subscribe to current mailbox (IMAP Only)
    unsubscribe                u   unsubscribe to current mailbox (IMAP Only)
    toggle-subscribed          T   toggle view all/subscribed mailboxes (IMAP Only)

### pgp

    view-name                  %   view the key's user id
    verify-key                 c   verify a PGP public key

### editor

    backspace          BackSpace   delete the char in front of the cursor
    backward-char             ^B   move the cursor one character to the left
    backward-word          ESC b   move the cursor to the previous word
    bol                       ^A   jump to the beginning of the line
    buffy-cycle            Space   cycle among incoming mailboxes
    capitalize-word        ESC c   uppercase the first character in the word
    complete                 TAB   complete filename or alias
    complete-query            ^T   complete address with query
    delete-char               ^D   delete the char under the cursor
    downcase-word          ESC l   lowercase all characters in current word
    eol                       ^E   jump to the end of the line
    forward-char              ^F   move the cursor one character to the right
    forward-word           ESC f   move the cursor to the next word
    history-down       not bound   scroll down through the history list
    history-up         not bound   scroll up through the history list
    kill-eol                  ^K   delete chars from cursor to end of line
    kill-eow               ESC d   delete chars from cursor to end of word
    kill-line                 ^U   delete all chars on the line
    kill-word                 ^W   delete the word in front of the cursor
    quote-char                ^V   quote the next typed key
    transpose-chars    not bound   transpose character under cursor with previous
    upcase-word            ESC u   uppercase all characters in current word

Next Previous Contents